Bug 107415 - rhn-applet-tui crashes with python puke
Summary: rhn-applet-tui crashes with python puke
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: rhn-applet (Show other bugs)
(Show other bugs)
Version: beta3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: CambridgeBlocker
TreeView+ depends on / blocked
 
Reported: 2003-10-17 20:22 UTC by Fred New
Modified: 2007-04-18 16:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-23 14:32:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:582 normal SHIPPED_LIVE Updated rhn-applet package 2004-12-21 05:00:00 UTC

Description Fred New 2003-10-17 20:22:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031014

Description of problem:
The last two versions of rhn-applet on Rawhide have broken rhn-applet-tui.

Version-Release number of selected component (if applicable):
rhn-applet-2.1.1-1

How reproducible:
Always

Steps to Reproduce:
1.  Execute rhn-applet-tui from a Gnome terminal or from a virtual console.

    

Actual Results:  $ rhn-applet-tui
Traceback (most recent call last):
  File "/usr/bin/rhn-applet-tui", line 103, in ?
    main(original_arg_list)
  File "/usr/bin/rhn-applet-tui", line 63, in main
    model = rhnAppletModelTUI(None, url, uuid)
  File "/usr/bin/../share/rhn/rhn_applet/rhn_applet_model.py", line 325, in __init__
    source.refresh(force)
NameError: global name 'force' is not defined

Expected Results:  Well, I was expecting it to tell me what updates were
available...

Additional info:

Comment 1 Daniel Veillard 2003-10-23 14:32:26 UTC
Oops, undefined variable :-\
Fixed in CVS, that will be fixed in the next release 2.1.2,

  thanks for the report,

Daniel

Comment 2 Jay Turner 2004-11-26 09:30:22 UTC
Fix confirmed with 2.1.18-4.

Comment 3 John Flanagan 2004-12-21 20:48:54 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-582.html



Note You need to log in before you can comment on or make changes to this bug.